// genSmallInteger.cc -- SmallInteger method prologue generation	-*- C++ -*-
// 
// Author: Ian.Piumarta@INRIA.Fr
//
// Last edited: Thu Jan 13 03:04:16 2000 by piumarta (Ian Piumarta) on pingu

#include "Object.h"

#include "emit.h"

#include "genSmallInteger.h"


void genBitXor(NativeMethod *nMeth, insn *fail)
{
  //emit_move_S_r(1, reg[0]);
  emit_move_S_r(0, tmp[0]);
  emit_tagck_r_t(tmp[0], fail);
  emit_xor_r_r(tmp[0], reg[0]);
  emit_or_i_r(1, reg[0]);
  emit_move_r_popS(reg[0], 1);
  emit_resume();
}
